/*
	CONFIG
	$red #893b44
*/

.serif {
	font-family: copse, Georgia, serif;
}

.sans-serif {
	font-family: Oswald, sans-serif;
}

img {
	max-height: 100vh;
}

iframe {
	max-width: 100%;
	border: 0;
}

hr {
	width: 100%;
	background-color: #893b44;
	height: 3px;
	border: 0;
}

/* Fixed, full height navigation fixed to the right.
	The styles are a bit funky because the text is vertical. */

.FixedNav {
	position: fixed;
	top: 0;
	z-index: 10;
	left: 100%;
	width: 100vh;
	transform: rotate(90deg);
	transform-origin: 0% 0%;
	background: #e7d6bc;
	/* Make space for the .UniversalNext button */
	padding-right: 2rem;
}

.FixedNav a {
	flex-grow: 1;
	display: flex;
	align-items: center;
	justify-content: center;
	letter-spacing: 0.05em;
	text-decoration: none;
	color: hsl(38, 47%, 45%);
}

.FixedNav a.active:not(.Logo) {
	background-color: #893b44;
	color: white;
}

.FixedNav .NumberLabel,
.FixedNav .Logo img {
	display: inline-block;
	transform: rotate(-90deg);
}

.FixedNav .Logo {
	flex-grow: 0;
}

/* Button that cycles through pages */

.UniversalNext {
	border: 0;
	padding: 0.35em 0 0.25em;
	background: #e7d6bc;
	color: #893b44;
	width: 4rem;
	height: 3rem;
	position: fixed;
	bottom: 0;
	right: 0;
	z-index: 10;
}


/* Logo */

.Logo.active {
	background: #893b44;
}

.Logo.active img:first-child {
	display: none;
}

.Logo:not(.active) img:last-child {
	display: none;
}

.Logo img {
	width: 2rem;
}

h1,
h2 {
	padding-bottom: 0.3em;
	border-bottom: 3px solid #893b44;
	margin-bottom: 0.6rem;
	text-align: center;
	font-weight: normal;
}

/* .f2 */
h1 {
	font-size: 2rem;
}

/* .f3 */
h2 {
	font-size: 1.25rem;
}

h1 + h2 {
	margin-top: 0.2rem;
	border-bottom: 0;
}

/* Line height in main text */
.Main-body p {
	margin-top: 0;
	margin-bottom: 1.5em;
	line-height: 1.5;
}

.Content a {
	color: #893b44;
}

/* Definition lists. Used for fact boxes. */

dl {
	margin-top: 1em;
	margin-bottom: 1em;
}

dt {
	font-family: 'Oswald';
	text-transform: uppercase;
	font-size: 14px;
	float: left;
	min-width: 4em;
	vertical-align: middle;
}

dd {
	margin-left: 0;
	padding-left: 4em;
	border-bottom: 1px solid #893b44;
	padding-bottom: 0.5em;
	margin-bottom: 0.5em;
}

@media (min-width: 30em) {
	dt {
		min-width: 9em;
	}
	dd {
		padding-left: 9em;
	}
}

.HeaderImage {
	max-height: 30vh;
	object-fit: contain;
}

/* Layout */

body {
	margin: 0 4em 0 0;
	font-family: Copse, georgia, serif;
	overflow: hidden;
	background: #d4c290;
}

.Layout {
	height: 100vh;
	overflow: hidden;
	border-radius: 3px;
	display: flex;
	flex-flow: column nowrap;
}

.Layout-top,
.Layout-bottom {
	flex: 1;
}

.Layout-bottom {
	flex: 1.4;
	position: relative;
	overflow: auto;
	background: hsla(0, 0%, 100%, 0.9);
}

@media (min-width: 50em) {
	.Layout {
		flex-direction: row;
	}
}

/* Theme */

.leaflet-tooltip {
	padding: 0 3px;
	font-family: Copse;
}
